 <?php
/**
* @package mod_remoslatest
* @version 3.43
* @date 01.06.08
* @author PF
* @authorurl entw.de
* @copyright This module is released under the GNU/GPL v2 License
**/

defined('_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );

// Used globals
global $mainframe, $database, $my;

$remository_utilities = $mainframe->getCfg('absolute_path').'/components/com_remository/remository.utilities.php';
if ( ! file_exists($remository_utilities) ) {
	echo "Required remository component is not installed!";
	return;
}
require_once($remository_utilities);

function str_truncate($s, $maxlen=19) {
	if ( strlen($s) > (intval($maxlen)+3) ) return substr($s,0,$maxlen)."...";
	return $s;
}

?>
<div class="<?php echo $params->get('moduleclass_sfx'); ?>mod_remoslatest">
<?php

// Get Params 
$itemtype    = intval($params->get('itemtype', 2)); 
$itemtype    = $itemtype > 0 ? $itemtype : 2; // d.type 1:DL 2:UL 3:Vote
$titleformat = $params->get('titleformat', 'filename'); // filename or date_filename
$iconsize    = intval($params->get('iconsize', 0)); // 0=none
$dateformat  = $params->get('dateformat', '%d.%m.%y');
$limit       = intval($params->get('limit', 10));
$limit       = $limit > 0 ? $limit : 10; // Max count of list items
$maxstrlen   = intval($params->get('maxstrlen', 19));
$maxstrlen   = $maxstrlen > 0 ? $maxstrlen : 19; // Truncate linked title after maxstrlen and append ...
$tooltipinfo = $params->get('tooltipinfo', 'description'); // description or smalldesc
$groupfilter = $params->get('groupfilter'); // Take access groups into account or see not allowed downloads
$Itemid      = remos_getItemID ('com_remository');

// Build WHERE clause
$where = "\n WHERE d.type = '$itemtype' AND f.published = '1'";

if ( $groupfilter == 'remository' ) {
	$query = "\n SELECT DISTINCT p.subject_id"
	. "\n FROM #__permissions p"
	. "\n LEFT JOIN #__assignments a ON a.access_id =  '".$my->id."'"
	. "\n AND a.access_type =  'aUser'"
	. "\n WHERE a.role = p.role OR p.role = 'Registered' OR p.role = 'Public'"
	. "\n AND p.action =  'download'"
	. "\n AND p.subject_type =  'remosFolder'";
	$database->setQuery($query);
	$catids = implode(',',$database->loadResultArray());
	$where .= "\n AND f.containerid IN ($catids)";
} else if ( $groupfilter == 'mbt' ) {
	$database->setQuery("SELECT See_Files_no_download FROM #__downloads_repository");
	$See_Files_no_download = $database->loadResult();
	$where .= remositoryUtilities::visibilitySQL('f.');
} // else see files no download

// Build QUERY
$query = "SELECT DISTINCT d.fileid, f.filetitle, DATE_FORMAT(d.date, '$dateformat') AS filedate, f.description, f.icon, f.smalldesc"
."\n FROM #__users AS u"
."\n RIGHT JOIN #__downloads_log AS d ON d.userid = u.id"
."\n INNER JOIN #__downloads_files AS f ON d.fileid = f.id"
.$where
."\n ORDER BY d.date desc, d.id desc"
."\n LIMIT $limit";

$database->setQuery($query);
$files = $database->loadObjectList();

// Print items list
foreach ($files as $file) {
	$link = "index.php?option=com_remository&Itemid=$Itemid&func=fileinfo&id=".$file->fileid;
	$title = ($titleformat != 'filename' ? ($file->filedate." ") : '') . $file->filetitle;
	$image = $iconsize > 0 ? "<img src='components/com_remository/images/file_icons/".$file->icon."' border='0' height='$iconsize' /> " : '';
	$tooltip = $file->filetitle." (".$file->filedate.")";
	if ($tooltipinfo == 'description'){
		$tooltip .= (strlen($file->description) > 0 ? " - ".$file->description : '');
	} else {
		$tooltip .= (strlen($file->smalldesc) > 0 ? " - ".$file->smalldesc : '');
	}
	echo "<a title='$tooltip' href='$link'>$image".str_truncate($title, $maxstrlen)."</a><br />\n";
}

?>
</div>

